I need to upgrate a site that is currently running Wordpress 2.3 to the latest version. How to do that? Do I just overwrite the old files with the new (like I did so far with newer versions), or there is another way?

Thanks,
dmi